<?php

/* Название - Мой аквариум V1.0
CMS - DCMS 6.6.4/Fiera/Social
Автор: RaiTasu
ICQ: 619911355
Скрипт запрещено выкладывать, распростронять, продавать !!! 
*/

include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/user.php';
only_reg();
$set['title']='Мой Аквариум';
include_once '../../../sys/inc/thead.php';
title();
err();
aut();


///////////////////////////////
$sk = '6';							// макс. количество рыбок
$valuta = 'balls';					// валюта сайта
$valuta_rus = 'баллов';		// название валюты
///////////////////////////////


?>
<style>
.image {
background-image: url('aqua/fon.png');
width:300px;
height:308px;
border-left: 3px solid black;
border-right: 3px solid black;
border-bottom: 3px solid black;

}

.test {
background: #851d1d;
width: 35px;
height: 6px;
position:absolute;
border-radius: 3px;
border: 1px solid black;
}
.test2 {
background: #d94141;
width: 25px;
height: 6px;
position:absolute;
border-radius: 2px;
}
</style>
<?

if (isset($_SESSION['text'])) {
	msg($_SESSION['text']);
	unset($_SESSION['text']);
	}
	
	function Zagol($text){
	echo '<div class="nav1"><center><b><span style="color: red;">'.$text.'</span></b></center></div>';
	}

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_aquarium` WHERE `user` = '$user[id]' and `uptime` < ".($time-3600)." and `vid`>='1' and `vid`<='4' "), 0);
if ($all>'0'){
	$q = mysql_query("SELECT * FROM `my_aquarium` WHERE `user` = '$user[id]' and `uptime` < ".($time-3600)." and `vid`>='1' and `vid`<='4' ");
		while ($f = mysql_fetch_array($q)){
		$te=floor(($time-$f['uptime'])/3600);
		mysql_query('UPDATE `my_aquarium` set `heart` = `heart`-'.$te.', `uptime`='.$time.' where `id` = '.$f['id']);
		}
		
mysql_query('UPDATE `my_aquarium` set `heart` = 0 where `heart` < 0 ');
header('Location: ?');
	}
	
switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null){
default:
if (isset($_SESSION['text'])){msg($_SESSION['text']);$_SESSION['text']=null;}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`>='1' and `vid`<='4' "), 0);


echo '<div style="position:relative;"><div class="nav1"><div class="image"></div>
'.(mysql_result(mysql_query("SELECT COUNT(*) FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`='10' "), 0)=='1'?'
	<a href="?m=filter"><img style="position:absolute; 
		top:10px; 
		left:243px;" 
		src="aqua/filter.gif"></a>
':null);


$q = mysql_query("SELECT * FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`>='1' and `vid`<='4' ");
	while ($f = mysql_fetch_array($q)){
	if ($f['heart']>'0'){
		$r1=mt_rand('20', '240');
		$r2=mt_rand('10', '270');
		$r3=mt_rand('2', '50');
	}	else {
		$r1='270';
		$r2=mt_rand('10', '270');
		$r3='200';
		}
		echo '<div class="test" style="width:35px;top:'.($r1-12).'px; left:'.$r2.'px;" ><div class="test2" style="width: '.($f['heart']/$f['heart_max']*35).'px"></div></div>
			<a href="?m=rub&amp;id='.$f['id'].'"><img 
			style="position:absolute; 
			top:'.$r1.'px; 
			left:'.$r2.'px;
			-webkit-transform: rotate('.$r3.'deg);" 
			src="aqua/'.$f['vid'].'_'.($f['heart']>'0'?mt_rand('1', '2'):'3').'.png"></a> ';
}

echo '</div></div>
		<div class="nav1">&raquo; Всего рыбок: '.$k_post.'</div>
		<div class="nav1"><a href="?m=buy"><img src="/style/icons/aqua.png" alt="*"> Купить рыбок </a></div>
		<div class="nav1"><a href="?m=additions"><img src="/style/icons/uslugi.gif" alt="*"> Купить аксессуары</a></div>
		<div class="nav1"><a href="?m=my"><img src="/style/icons/fish_blue.png" alt="*"> Мои рыбки</a></div>
		<div class="nav1"><a href="?m=top"><img src="/style/icons/lider.gif" alt="*"> ТОП 20 рыбок</a></div>
                <div class="nav1"><a href="help.php"><img src="/style/icons/info.gif" alt="*"> Информация</a></div>
		';

break;

////////////////////////////////////////////////////////////////////////////////////////

case 'rub':
$id=intval($_GET['id']);
$rub=mysql_fetch_assoc(mysql_query('select * from `my_aquarium` where `id` = '.$id));
if ($rub['user']!=$user['id'])exit('Доступ закрыт');

if (isset($_GET['corm'])){
	$corm=intval($_GET['corm']);
	$cr=mysql_fetch_assoc(mysql_query('select * from `my_aquarium_buy` where `id` = '.$corm.' and `type`= 2 '));
    if ($cr['id']==NULL)exit('Доступ закрыт');
	
	if ($rub['heart']>=$rub['heart_max'])		$err[]='Нет необходимости кормить рыбку';
	if ($user[$valuta]<$cr['cena'])				$err[]='Недостаточно '.$valuta_rus;
	err();

	if (count($err)=='0') {
	
	if ($cr['heart']+$rub['heart']>$rub['heart_max']) 	$heart = $rub['heart_max'];
	else 																	$heart = $cr['heart']+$rub['heart'];
	
	mysql_query('UPDATE `my_aquarium` set `heart` = '.$heart.' where `id` = '.$rub['id']);
	mysql_query('UPDATE `user` set `'.$valuta.'` = `'.$valuta.'`-'.$cr['cena'].' where `id` = '.$user['id']);
	$_SESSION['text']='Рыбка покормлена';
	header('Location: ?m=rub&id='.$id);
		}
	
	}
	
if (isset($_GET['throw'])){
	mysql_query('DELETE FROM `my_aquarium` where `id` = '.$id);
	$_SESSION['text']='Рыбка выброшена =( ';
	header('Location: ?m=my');
	}
	
$inf=($time-$rub['time'])/86400;
echo '<div class="nav1"><img src="aqua/'.$rub['vid'].'_1.png"><br/>
		<b>Куплена: </b> '.vremja($rub['time']).' (<b><span style="color: green;">'.floor($inf).' дней </span></b>)<br/>
		<b>Здоровье: </b> '.$rub['heart'].'/'.$rub['heart_max'].'
		</div>
		<div class="gmenu"><b>Покормить:</b></div>';

		if ($rub['heart']!='0'){
		
$q = mysql_query("SELECT * FROM `my_aquarium_buy` where `type` = '2' ");
	while ($f = mysql_fetch_array($q)) {
	
	echo '<div class = "nav1">
	<b>'.$f['name'].'</b><br/>
	Цена: '.$f['cena'].' '.$valuta_rus.' | '.$f['heart'].' жизней<br/>
	 &raquo; <a href = "?m=rub&amp;id='.$id.'&amp;corm='.$f['id'].'">Покормить</a>
	</div>';
	}
		
		} else Zagol('Рыбка метрва !!!');
		
echo '<div class="nav1">&raquo; <a href="?m=rub&amp;id='.$id.'&amp;throw"><b>Выбросить рыбку</b></a></div>';

		

break;

////////////////////////////////////////////////////////////////////////////////////////

case 'my':

$q = mysql_query("SELECT * FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`>='1' and `vid`<='4' order by `time` ASC ");
	while ($f = mysql_fetch_array($q)){
		$inf=($time-$f['time'])/86400;
		echo '<div class="nav1"><img src="aqua/'.$f['vid'].'_1.png"><br/>
		<b>Куплена: </b> '.vremja($f['time']).' (<b><span style="color: green;">'.floor($inf).' дней </span></b>)<br/>
		<b>Здоровье: </b> '.$f['heart'].'/'.$f['heart_max'].'<br/>
		<a href="?m=rub&amp;id='.$f['id'].'"><b>Покормить рыбку</b></a>
		</div>';
}
	
break;

////////////////////////////////////////////////////////////////////////////////////////

case 'additions':
$array=array(
'1'=>array('Фильтр' ,'filter.gif', '500', '10', '10')
);

if (isset($_GET['buy'])){

	$buy = intval($_GET['buy']);
	if (count($array)<$buy)exit('Доступ закрыт');
	$cr = mysql_result(mysql_query('select count(*) from `my_aquarium` where `vid` = '.$array[$buy][4].' and `user`= '.$user['id']), 0);
	
	if ($cr!='0')										$err[]='У вас уже установлен фильтр';
	if ($user[$valuta]<$array[$buy][2])		$err[]='Недостаточно '.$valuta_rus;
	err();
	if (!isset($err)){
		mysql_query('INSERT INTO `my_aquarium` (`user`, `vid`) values ('.$user['id'].',  10) ');
		mysql_query('UPDATE `user` set `'.$valuta.'` = `'.$valuta.'`-'.$array[$buy][2].' where `id` = '.$user['id']);
		mysql_query('UPDATE `my_aquarium` set `heart_max` = `heart_max`+'.$array[$buy][3].' where `user` = '.$user['id'].' and `vid`>=1 and  `vid`<=4');
		$_SESSION['text']=$array[$buy][0].' успешно куплен';
		header('Location: ?m=additions');
		}
	}

foreach($array as $key=>$value){

echo '<div class="nav1"><b>'.$array[$key][0].'</b><br/>
		<img src="aqua/'.$array[$key][1].'"><br/>
		<b>&bull; + '.$array[$key][3].' к жизням рыб</b><br/>
		<b>&bull; Цена:</b> '.$array[$key][2].' '.$valuta_rus.'<br/>
		'.(mysql_result(mysql_query("SELECT COUNT(*) FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`='".$array[$key][4]."' "), 0)!='1'?'
		<a href="?m=additions&amp;buy='.$key.'"><span style="color: green;"><b>&raquo; Купить</b></span></a>':'<span style="color: red;"><b>&raquo; Уже куплено !!!</b></span>').'
		</div>
		';

}

break;

////////////////////////////////////////////////////////////////////////////////////////


case 'buy':

if (isset($_GET['id']) && is_numeric($_GET['id'])) {
	$id=intval($_GET['id']);
	$rub=mysql_fetch_assoc(mysql_query('SELECT * FROM `my_aquarium_buy` where `id` = '.$id.' and `type`= 1 '));
	$count=mysql_result(mysql_query('SELECT COUNT(id) FROM `my_aquarium` where `user` = '.$user['id']));
	if ($rub['id']==null)							exit('Доступ закрыт');
	if ($count>=$sk)							$err[]='Вы не можете иметь более '.$sk.' рыбок';
	if ($user[$valuta]<$rub['cena'])		$err[]='Недостаточно '.$valuta_rus;
	err();
	if (count($err)=='0') {
	
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `my_aquarium` WHERE `user` = '$user[id]' and `vid`='10' "), 0)=='1')$heart=$rub['heart']+'10';
	else $heart=$rub['heart'];
	
	mysql_query('INSERT INTO `my_aquarium` (`user`, `vid`, `heart`, `heart_max`, `time`, `uptime`) values ('.$user['id'].', '.$rub['vid'].', '.$heart.', '.$heart.', '.$time.', '.$time.') ');
	mysql_query('UPDATE `user` set `'.$valuta.'` = `'.$valuta.'`-'.$rub['cena'].' where `id` = '.$user['id']);
	$_SESSION['text']='Рыбка успешно куплена';
	header('Location: ?m=buy');
	}
}

$q = mysql_query("SELECT * FROM `my_aquarium_buy` where `type` = '1' ");
while ($f = mysql_fetch_array($q))
	echo '<div class="nav1"><img src="aqua/'.$f['vid'].'_1.png"><br/>
	<b>Здоровье: </b> '.$f['heart'].'<br/>
	<b>Цена: </b> '.$f['cena'].' баллов<br/>
	<a href="?m=buy&amp;id='.$f['id'].'"><b>Купить</b></a>
	</div>';

break;

////////////////////////////////////////////////////////////////////////////////////////


case 'filter':
	msg('Фильтр');
	$fl=mysql_fetch_assoc(mysql_query('SELECT * FROM `my_aquarium` where `user` = '.$user['id'].' and `vid`=10 '));
	if ($fl['id'] == NULL) exit('Доступ закрыт');
	else {
	echo '<div class="nav1">
	<img src="aqua/filter.gif"><br/>
	<b>&bull; +10 к здоровью рыб</b>
	</div>';
	}
	
break;


////////////////////////////////////////////////////////////////////////////////////////

case 'top':

$q = mysql_query("SELECT * FROM `my_aquarium` where `heart`>'0' order by `time` asc LIMIT 20");
	while ($f = mysql_fetch_array($q)){
		$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` where `id` = '".$f['user']."'"));
		$inf = ($time-$f['time'])/86400;
		echo '<div class="nav1">
		<img src="aqua/'.$f['vid'].'_1.png"><br/>
		<b>Владелец: </b> <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a> <br/>
		<b>Куплена: </b> '.vremja($f['time']).' (<b><span style="color: green;">'.floor($inf).' дней </span></b>)<br/>
		<b>Здоровье: </b> '.$f['heart'].'/'.$f['heart_max'].'<br/>
		</div>';
}

break;

////////////////////////////////////////////////////////////////////////////////////////

}
echo '<div class="foot">&laquo; <a href="?">На главную игры</a></div>';

include_once '../../../sys/inc/tfoot.php';

/* Название - Мой аквариум V1.0
CMS - DCMS 6.6.4/Fiera/Social
Автор: RaiTasu
ICQ: 619911355
Скрипт запрещено выкладывать, распростронять, продавать !!! 
*/

?>